package cn.yw.repairmanage.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("signDao")
public class SignDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Sign(Map map) throws SQLException{
		this.insert("insert_Sign",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Sign(List batch) throws SQLException{
		this.insert("batch_insert_Sign",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Sign(Map map) throws SQLException{
		return this.update("update_Sign",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Sign(Map map) throws SQLException{
		return this.delete("delete_Sign",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Sign(Map map) throws SQLException{
		return this.delete("batch_delete_Sign",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Sign(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Sign",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Sign(Map map) throws SQLException{
		return this.queryForPage("query_Sign",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Sign(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Sign",map);
	}


}
